tenfourfoxclasstubesthund


Power PC Mac actively maintained software 2014 - Last Updated January 2023

Welcome to my webpage to maintain a simple list of Power PC Mac applications that are still actively maintained and supported.

I've included one or two useful programs where the latest build doesn't include Power PC support but the site still contains active links to older builds.

If you have any further suggestions or can see something that needs correcting please contact me! Thanks, Tony.

addr


Web browsers

This webpage is useful for current web browsers for different versions of Mac OS: https://discussions.apple.com/docs/DOC-250003586

Snow Monkey
Minimum os requirements: 10.6 
|  download: https://randommacstuff.blogspot.com/p/snowmonkey-browser-for-os-x-106.html

TenFourFox (no longer maintained)
current version: 24.2.0  |  min os requirement: 10.4   |  download: http://www.floodgap.com/software/tenfourfox/

Classilla
current version: 9.3.2  |  min os requirement: 8.6   |  download: http://www.floodgap.com/software/classilla/

SeaMonkey ppc (no longer supported)
current version: 2.23  |  min os requirement: 10.5   |  download: https://sourceforge.net/projects/seamonkey-for-ppc/

Aurorafox (no longer maintained)
current version: 20.0  |  os requirement: 10.5 download link: https://code.google.com/p/aurorafox/

Omniweb
current version: 5.?  |  min os requirement: 10.4   |  download: https://www.omnigroup.com/more

iCab
current version: 5.1.1  |  min os requirement: 10.5   |  download: http://www.icab.de/dl.php
Downloads for older versions of Mac OS are available



Email clients
 

Thunderbird
current version: 3.1  |  min os requirement: 10.4   |  download: https://www.mozilla.org/en-GB/thunderbird/



Office  / editing

Open Office (legacy versions)
current version: 4.1  |  min os requirement: 10.4   |  download: http://www.openoffice.org/porting/mac/

Libre Office (legacy versions)
current version: 4.1*  |  min os requirement: see below   |  download: http://www.libreoffice.org/
* ppc support is now dropped in 4.1, older versions are available to download



FTP
 

Fetch
current version: 5.7  |  min os requirement: 10.5   |  download:  http://fetchsoftworks.com/
Downloads for older versions of Mac OS are available (including Classic)

Cyberduck
current version: 4.4.3*  |  min os requirement: see below   |  download:
 http://cyberduck.io/
* Current version does not support ppc, but downloads for older versions of Mac OS are available



Media playback

Real Player SP
current version: 12.0.1.1750 (2012/09/07)  |  min os requirement: 10.4   |  download: http://uk.real.com/?mode=rp_mac

MacTubes
current version: 3.1.6 (2012/12/22)  |  min os requirement: 10.4   |  download: http://macapps.sakura.ne.jp/mactubes/index_en.html

VLC
current version: 2.1.2  |  min os requirement: 10.5   |  download: http://www.videolan.org/vlc/download-macosx.html
Downloads for older versions of Mac OS are available



Emulation
 

Qemu
current version: 0.9.1d118  |  min os requirement: 10.3   |  download: http://www.kju-app.org/



Backup

Carbon Copy Cloner
current version: 3.5.4 / 3.4.7  |  min os requirement: 10.4   |  download: http://www.bombich.com/download.html


Messenger

Adium
current version: 1.5*  |  min os requirement: see below   |  download: https://adium.im/about/
* Current version does not support ppc, but downloads for Mac OS 10.2 upwards are available

Yahoo Messenger
current version: 3.0.2  |  min os requirement: 10.4   |  download: http://messenger.yahoo.com/mac/

 

Other

Mac Tracker
current version:  7.2.1 |  min os requirement: 10.5   |  download: http://mactracker.ca/index.html
Mac Tracker provides detailed information on every Apple Macintosh computer
Downloads for older versions of Mac OS are available

Scratch
current version: 1.4 | min os requirement: 10.4 | download: http://scratch.mit.edu/scratch_1.4/
Child friendly programming environment

ACSLogo
current version: 1.5.1 | min os requirement: 10.5 | download: http://www.alancsmith.co.uk/logo/
Logo/Turtle

Kompozer

current version: 0.7.10 | min os requirement: 10.4(possibly older?) | download (new link):  https://kompozer-web.de/en
WYSIWYG web editor. Latest build is quite old but support forum is still active

nvu
current version: 0.x | min os requirement: 10.1.5 | download: http://net2.com/nvu/
WYSIWYG web editor, similar to Kompozer. Last build is quite old but forum is still active